"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const puppeteer_extra_plugin_1 = require("puppeteer-extra-plugin");
const puppeteer_interceptor_1 = require("puppeteer-interceptor");
var puppeteer_interceptor_2 = require("puppeteer-interceptor");
exports.Interceptor = puppeteer_interceptor_2.Interceptor;
var puppeteer_interceptor_3 = require("puppeteer-interceptor");
exports.patterns = puppeteer_interceptor_3.patterns;
class InterceptorPlugin extends puppeteer_extra_plugin_1.PuppeteerExtraPlugin {
    constructor(opts = {}) {
        super(opts);
        this.debug('interceptor initialized');
    }
    async afterConnect(browser) {
        const [page] = await browser.pages();
        if (!page.intercept)
            page.intercept = function (requestPatterns, handlers) {
                puppeteer_interceptor_1.intercept(this, requestPatterns, handlers);
            };
    }
    async afterLaunch(browser) {
        const [page] = await browser.pages();
        if (!page.intercept)
            page.intercept = function (requestPatterns, handlers) {
                puppeteer_interceptor_1.intercept(this, requestPatterns, handlers);
            };
    }
    async onPageCreated(page) {
        if (!page.intercept)
            page.intercept = function (requestPatterns, handlers) {
                puppeteer_interceptor_1.intercept(this, requestPatterns, handlers);
            };
    }
    get name() {
        return 'puppeteer-extra-plugin-interceptor';
    }
}
function interceptor(pluginConfig = {}) {
    return new InterceptorPlugin(pluginConfig);
}
exports.interceptor = interceptor;
//# sourceMappingURL=index.js.map