"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const puppeteer_extra_1 = __importDefault(require("puppeteer-extra"));
const src_1 = require("../src");
puppeteer_extra_1.default.use(src_1.interceptor());
describe('puppeteer-extra-plugin-interceptor', function () {
    it('should extend Page with intercept()', async function () {
        const browser = await puppeteer_extra_1.default.launch({});
        const [page] = await browser.pages();
        let a, b;
        page.intercept(src_1.patterns.All('*'), {
            onInterception: (event) => {
                a = 'onInterception';
            },
            onResponseReceived: (event) => {
                b = 'onResponseReceived';
            },
        });
        await page.goto(`http://example.com`);
        await browser.close();
        assert_1.default.equal(a, 'onInterception');
        assert_1.default.equal(b, 'onResponseReceived');
        return browser.close();
    });
});
//# sourceMappingURL=index.test.js.map